Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

- Main Page
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions
openvrml::node_impl_util::BindableNodeConcept< T > Struct Template Reference

Concept checking class to validate that a template parameter is a model of the Bindable Node concept. More...

`#include <openvrml/node_impl_util.h>`

List of all members.

## Public Member Functions

void | constraints ()
| Validate that T is a model of the Bindable Node concept.

## Detailed Description

### template<typename T>
struct openvrml::node_impl_util::BindableNodeConcept< T >

Concept checking class to validate that a template parameter is a model of the Bindable Node concept.

A Bindable Node is a node that has a member function `bind` that takes a boolean value (the bind state) and a floating point value (the current time).

Notation

  t | An object whose type is a model of Bindable Node
  bind_state | A boolean
  bind_time | A floating-point value

Valid expressions

  Name | Expression | Type requirements | Return type
  --- | --- | --- | ---
  Bind | `t.bind(bind_state, bind_time)` |  | `void`

## Member Function Documentation

template<typename T >

void openvrml::node_impl_util::BindableNodeConcept< T >::constraints | ( |  | ) | `[inline]`

Validate that T is a model of the Bindable Node concept.